
Syndication Input - Feature #2038

Add option to clean up content (convert HTML to a readable string)

08/30/2017 05:52 AM - Luke Murphey

Status: Closed Start date: 08/30/2017

Priority: Normal Due date:  

Assignee:  % Done: 100%

Category:  Estimated time: 0.00 hour

Target version: 1.2   

Description

Associated revisions

Revision 43 - 08/30/2017 06:56 PM - lukemurphey

Added ability to convert HTML output to human readable; sorting output to make it easier to view in search

Reference #2038, Reference #2039

History

#1 - 08/30/2017 05:52 AM - Luke Murphey

- Subject changed from Add option to clean up content (content HTML to a readable string) to Add option to clean up content (convert HTML to a

readable string)

#2 - 08/30/2017 05:56 AM - Luke Murphey

https://pypi.python.org/pypi/html2text might be a good option. However, it is GNU GPL 3 which is not compatible with the Apache license (

https://www.apache.org/licenses/GPL-compatibility.html)

#3 - 08/30/2017 05:58 AM - Luke Murphey

Using html2text  2016.9.19

#4 - 08/30/2017 05:54 PM - Luke Murphey

See https://pythonhosted.org/feedparser/reference-entry-content.html for the feed param list

#5 - 08/31/2017 04:51 AM - Luke Murphey

- Status changed from New to Closed

- % Done changed from 0 to 100

Powered by TCPDF (www.tcpdf.org)

05/01/2024 1/1

https://pypi.python.org/pypi/html2text
https://www.apache.org/licenses/GPL-compatibility.html
https://pythonhosted.org/feedparser/reference-entry-content.html
http://www.tcpdf.org

